Subject: bug#26599: patch for mwheel.el

From: Eli Zaretskii <[email-masked]>
Date: Thu, 27 Apr 2017 17:25:06 +0300

> Date: Thu, 27 Apr 2017 14:27:31 +0900 (JST)
> Cc: [email-masked]
> From: Tak Kunihiro <[email-masked]>
> 
> > You have the horizontal-scroll commands to do that, right?
> 
> Yes.
> 
> I consider two devices to scroll, that are keyboard and mouse.
> 
> Keyboard is the primary scroll device.  Thus I want to turn
> auto-hscroll-mode t by default.
> 
> Occasionally I want to use mouse as scroll device.  When I use mouse,
> I want to set turn auto-hscroll-mode nil, especially after
> implementation of <wheel-right> and <wheel-left>.
> 
> When I come back to keyboard, I want to set auto-hscroll-mode t again.

This looks like a very specialized use case, so I'm not sure we need a
solution for it in Emacs.